@import "../../_mixins.scss";
.activity-status {
  .field__label-label {
    padding: 0px 20px;
  }
  .field-section {
    padding: 0px 20px;
  }

  .status-row > .disabled {
    margin-bottom: 17px;
  }

  .remove {
    margin: 2rem 0rem 0 0rem;
    display: flex;
    justify-content: center;
  }
  .add-new-status {
    color: #db7c20;
    margin: 0 0 0 35px;
    font-weight: 600;
    width: 100px;
    cursor: pointer;
  }
  img.remove {
    width: 45px;
    height: var(--input-height);
    margin: 5px 0 0 10px;
    opacity: 0.5;
  }
  img.saved {
    width: 50px;
    height: 49px;
    margin: 3px 0 0 21px;
    cursor: pointer;
  }
  img.edit {
    width: 44px;
    height: 17px;
    filter: invert(1);
    margin: 18px 0 0 10px;
  }
  .color-preview {
    padding: 0;
    height: var(--input-height);
    line-height: 2.5;
    font-weight: 600;
    display: flex;
    border: solid 1px #d3dde0;
    flex-direction: row;
    margin: 10px 0 0 0;
    .left-column {
      width: 5px;
      height: var(--input-height);
      border: solid 1px #fff;
    }
    .text {
      width: 100%;
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      height: var(--input-height);
    }
  }
  .color-picker {
    text-align: center;
    width: 130px;
    .rc-color-picker-wrap {
      display: inline-block;
      span.rc-color-picker-trigger {
        width: 25px;
        height: 25px;
        margin: 15px 0 0 0;
        border: 1px solid #999;
        display: inline-block;
        padding: 2px;
        border-radius: 2px;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        width: 20px;
        height: 20px;
        cursor: pointer;
        box-shadow: 0 0 0 2px #fff inset;
      }
    }
  }
  .sales-status-check {
    text-align: center;
    width: 150px;
  }
}

.project-status-indicator-thresholds {
  .sub-heading {
    display: flex;
    padding: 15px 0 0 25px;
    color: black;
    font-weight: 700;
    img.clock-circular {
      width: 15px;
      opacity: 0.7;
      margin: -2px 5px 0 0;
    }
    .gray-text {
      color: #79868b;
      padding: 0px 0 0 5px;
      font-weight: 500;
    }
  }
  .gray-text-bold {
    color: var(--grey-font);
    margin: 10px 28px 16px 45px;
    font-weight: 600;
  }
  .row-threshold {
    margin: 0 0 0 53px;
    display: flex;
    height: 50px;
    .color-circle {
      width: 22px;
      height: 22px;
      border-radius: 50%;
      margin: 18px 15px 0 -10px;
    }
    .pm-danger {
      background: var(--pm-danger);
    }
    .pm-warning {
      background: var(--pm-warning);
    }
    .pm-success {
      background: var(--pm-success);
    }
    .field-section {
      padding: 0 0 0 0;
    }
    .symbols {
      padding: 15px 10px 0 10px;
      font-weight: 900;
      font-size: var(--font-xxxl);
      color: #ccc;
    }
    .date-text {
      padding: 20px 10px 0 10px;
      font-weight: 600;
    }
    .gray-date-text {
      color: rgb(187, 185, 185);
      padding: 20px 0 0 15px;
    }
  }
}

.gray-text-bold.action-treshold {
  display: flex;
  img.saved {
    width: 50px;
    height: 22px;
    margin: 0px 0 0 1px;
  }
}

.board-list-status {
  .board-row {
    width: 95%;
    margin: 9px 0 12px 40px;
    padding: 15px;
    border-radius: 4px;
    border: solid 1px #d3dde0;
    background-color: #ffffff;
    width: -webkit-fill-available;
    .remove {
      margin: 20px 0 0px 0px !important;
      width: 41px;
      height: 41px;
      opacity: 0.5;
    }
    .field-section {
      padding: 0px;
      padding: 0 15px 0 0;
    }
    .header {
      display: flex;
      justify-content: space-between;
      padding: 0 0 0 5px;
      .remove {
        margin: -20px -20px;
      }
    }
    .field__label-label {
      padding: 0px;
    }
  }
  .add-new-project-board {
    color: #db7c20;
    margin: 0 0 0 40px;
    font-weight: 600;
    width: 150px;
    cursor: pointer;
  }
  .status-row {
    padding: 0px 5px;
  }
  .add-new-status {
    margin: 0 0 0 5px;
  }
  .searchbox_container {
    margin: 1.5rem 0 0 3rem;
  }
  .delete-icon {
    margin: -19px 0px 0 50px !important;
  }
}

.project-types {
  .project-phases {
    border-radius: 4px;
    padding: 0;
  }
  .tag {
    display: flex;
    margin: 0 5px;
    padding: 0 10px 0 0;
    border: solid 1px #d3dde0;
    background-color: #f2f6f7;
    color: #003041;
    font-weight: 500;
    line-height: 2;
    height: 26px;
    border-radius: 4px;
    .tag-index {
      width: 25px;
      height: 25px;
      margin: 0 12px 0 0;
      padding: 0px 0 7px 8px;
      border: solid 1px #d3dde0;
      background-color: #edfbff;
    }
  }
  .delete {
    width: 10px;
    height: 10px;
    margin: 8px 0 0 5px;
    opacity: 0.5;
  }
  .add-new-project-phase {
    color: #db7c20;
    margin: 0 0 0 5px;
    font-weight: 600;
    width: 150px;
    cursor: pointer;
  }
  .add-phase-select {
    margin: 0 0 0 5px;
  }
  .saved {
    width: 50px;
    height: 22px;
    margin: -10px 0 0 0;
  }
  .createble-phases {
    padding: 5px;
  }
  .row-action {
    display: flex;
    .delete-icon-board {
      margin: -1rem 0 0 0;
    }
  }
}

.color-review-tag {
  padding: 0;
  .set-default {
    font-size: 1.2rem;
    padding: 0 10px;
    border: solid 1px #dce6ea;
    color: #db7c20;
    border-radius: 4px;
    cursor: pointer;
  }
  .default {
    font-size: 1.2rem;
    padding: 0 10px;
    border: solid 1px #dce6ea;
    color: #001f2b;
    border-radius: 4px;
  }
}

.project-board {
  .saved {
    width: 50px;
    height: 22px;
    margin: -10px 0 0 0;
  }
  .row-action {
    display: flex;
    .delete-icon-board {
      margin: -0.9rem 0 0 0;
    }
  }
}

.customer-contact-role {
  .roles-all > .field-section {
    padding: 0px 22px;
  }
  .customer-contact {
    display: flex;
    margin: 0 0 0 15px;
    flex-wrap: wrap;
  }
  .contact {
    display: flex;
    height: 25px;
    margin: 2px 8px 3px 7px;
    padding: 10px 0px 8px 10px;
    border-radius: 4px;
    border: solid 1px #d3dde0;
    background-color: #ffffff;
    line-height: 0.5;
    .remove {
      margin: -0.5rem 1rem;
    }
  }
  .contact.no-data {
    padding-right: 6px;
  }
  img.saved {
    width: 50px;
    height: 22px;
    margin: 14px 0 0 -2rem;
    cursor: pointer;
  }
  img.icon-remove-role {
    width: 45px;
    margin: 17px 0 0 0;
    opacity: 0.5;
    cursor: pointer;
  }

  .confirm-help-icon.remove {
    margin: -0.4rem 0.5rem 0rem 1rem;
  }
  .add-new-status {
    color: #db7c20;
    margin: 0 0 0 22px;
    font-weight: 600;
    width: 100px;
    cursor: pointer;
  }
  .label-text {
    font-family: var(--font-first);
    font-size: 12.2px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    letter-spacing: 0.1px;
    text-align: left;
    color: #222222;
    position: relative;
    margin: 0px 0 0 25px;
  }
}

.email-subject {
  width: 1000px;
  padding-bottom: 13px;
  padding-left: 20px;
}

.customer-email {
  max-width: 1000px;
}

.email-header-signature {
  padding-left: 25px;
  margin-bottom: -10px;
}

.email-header-main {
  font-family: Montserrat;
  font-size: var(--font-m);
  font-weight: 500;
}

.email-header-customer-name {
  color: #00a0dc;
}

.email-signature {
  padding-left: 25px;
  margin-top: -20px;
  padding-bottom: 15px;
  color: #00a0dc;
}

.customer-contact-setting {
  font-family: Montserrat;
  font-size: var(--font-m);
  font-weight: 500;
  color: #00a0dc;
}

.customer-touch-meeting-body {
  .row {
    textarea {
      height: 600px;
    }
  }
}

.field-section {
  div.row {
    &.field__input {
      textarea {
        width: 100%;
        height: 150px;
      }
    }
  }
}

.cust-touch-md-editor {
  padding-left: 20px;
  margin-top: 32px;
  margin-bottom: 60px;

  .mention[data-denotation-char="#"]:hover:after {
    content: "";
  }
}

.mail-subject-mention-input {
  padding-top: 30px;
  padding-left: 20px;
  padding-bottom: 25px;

  .outer__control {
    height: 30px;
    border-radius: 2px;
    border: solid 1px #d3dde0;

    &:focus {
      outline: none;
    }

    textarea {
      border-radius: 2px;
      border: solid 1px #d3dde0;

      &:focus {
        outline: none;
      }
    }
  }
}

.save-mail-btn {
  margin-left: 20px;
  margin-bottom: 20px;
}

.kick-off-meeting-component {
  display: flex;
  flex-direction: column;
  .action-item-list {
    display: flex;
    flex-direction: column;
    .action-item {
      display: flex;
      align-items: center;
      .template-agenda-topics-quill {
        margin: 0;
        height: 150px;
        padding-left: 0;
        .quill {
          height: 150px;
          margin: 0;
        }
        .ql-container {
          height: calc(150px - 43px);
          .ql-editor {
            min-height: unset;
          }
        }
      }
      .remove-action-item {
        margin: 18px 10px;
      }
    }
    .field__label {
      display: none;
    }
  }
  .kick-off-meeting-row {
    width: 95%;
    padding: 15px 10px 0px 10px;
    .left {
      display: flex;
      width: 40%;
      .template-name {
        padding: 0;
        margin: -10px 0px 0 8px;
      }
    }
    .action-collapse.right {
      margin: 0.7rem 0rem 0rem 0.5rem;
      background: #fff;
      border: 1px solid var(--primary);
      img.arrow-play {
        margin: -1px 0rem 2rem 0.3rem;
        filter: unset !important;
      }
      img.arrow-play.down {
        margin: -7px 0 0 2px !important;
      }
    }
    .action-list {
      margin: 5px 0 5px 40px;
      .sub-heading {
        font-size: var(--font-xl);
        font-weight: 600;
        color: var(--black-font);
      }
    }
    .action-list-margin {
      margin-top: 30px;
    }
    .add-new-status-topic {
      color: #db7c20;
      margin: 0;
      font-weight: 600;
      cursor: pointer;
      margin: 0 0 20px 0;
    }
    .row-action {
      display: flex;
      margin: 20px 20px 0 0;
      .remove-meeting {
        margin: -10px -5px 0 0px;
      }
    }
  }
  .add-new-status {
    color: #db7c20;
    margin: 0 0 40px 40px;
    font-weight: 600;
    cursor: pointer;
    width: fit-content;
  }
  .saved {
    width: 50px;
    height: 22px;
    margin: -12px 0 0 0;
    cursor: pointer;
  }
  input[type="TEXT"] {
    background: #f2f6f7 !important;
    border: solid 1px #f2f6f7 !important;
    &:focus,
    &:focus:active {
      background: #fff !important;
      border: solid 1px #e5e5e5 !important;
    }
  }
}

.pmo-settings {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  border-radius: 2px;
  width: 100%;
  .quill {
    height: 215px;
    margin: 0 0 20px 0;
  }
  .pmo-tab__header {
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid var(--base-border);
    cursor: pointer;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: 600;
    color: #333333;

    .pmo-tab__header-link {
      padding: 10px 40px 5px 40px;
      text-align: center;
      text-transform: uppercase;
      font-weight: bold;
    }
    .pmo-tab__header-link--active {
      border-bottom: 2px solid var(--primary);
    }
  }
  .PMOCollapsible-component ul.namespace-list {
    padding: 10px;
    margin-top: -15px;
  }
  .operations-setting {
    background-color: white;
    background: #fff;
    display: flex;
    flex-direction: column;
    padding: 10px 0 20px 0;
    .po-setting-save-section {
      padding: 15px;
    }
    .voilence__header {
      display: flex;
      flex-direction: row;
      border-bottom: 1px solid var(--base-border);
      cursor: pointer;
      font-family: var(--font-first);
      font-size: var(--font-s);
      font-weight: 600;
      color: #333333;
      background-color: white;

      .voilence__header-link {
        padding: 20px 40px 10px 40px;
        text-align: center;
        text-transform: uppercase;
        font-weight: bold;
      }
      .voilence__header-link--active {
        border-bottom: 2px solid var(--primary);
      }
    }
    .device-mapping button.square-btn.add-new-mapping.btn.btn-primary {
      float: right;
      margin: 20px 20px 20px 0px;
      width: 75px;
      min-width: unset;
      line-height: 10px;
    }

    .board-mapping__options-option {
      .field-section {
        .field__input {
          .radio-btn-group {
            display: flex;
            flex-direction: column !important;
          }
        }
      }
    }

    .board-mapping__options-container--nested {
      width: 100%;
    }

    .board-mapping__options {
      margin: 10px 10px 10px 0px;
    }

    .board-mapping-radio {
      max-width: 330px;

      .radio-btn-group .radio-btn {
        width: 100%;

        input[type="radio"][disabled] {
          cursor: not-allowed;
        }
      }
    }

    .board-mapping__options-title {
      font-size: var(--font-m);
      font-weight: 600;
      color: var(--light-black-font);
      padding-bottom: 10px;
    }

    .board-mapping__options-content {
      border: 1px solid #cbcbcb4a;
      padding: 25px;
      min-width: 330px;
      max-height: 150px;
      min-height: 150px;
      overflow: auto;

      // custom scrollbar
      &::-webkit-scrollbar {
        width: 5px;
        height: 5px;
      }

      &::-webkit-scrollbar-track {
        background: none;
        border: none;
      }

      &::-webkit-scrollbar-thumb {
        background: #dcdcdc;
        border-radius: 10px;
      }

      &::-webkit-scrollbar-thumb:hover {
        background: var(--primary);
      }
    }

    .board-mapping-radio__options-content {
      padding: 0 0 0 6px;
      font-weight: 500;

      .radio-btn-group .radio-btn input[type="radio"]:checked,
      .radio-btn-group .radio-btn input[type="radio"]:hover {
        border: 1px solid var(--primary);
      }
      .radio-btn-group .radio-btn {
        --radio-bg: var(--primary);
        padding: 3px 0 0 0;
      }
    }

    &.board-mapping--disabled {
      .checkbox-holder {
        label.checkbox__content {
          margin-top: 0;
        }

        input[type="checkbox"].checkbox__input {
          &:checked + label.checkbox__content {
            &::before {
              border: none;
              background: transparent;
            }
            &::after {
              color: var(--primary);
              background: transparent;
              padding: 0;
            }
          }

          & + label.checkbox__content {
            &::before {
              border: none;
              height: 10px;
              width: 10px;
              border-radius: 50%;
            }
          }

          &:disabled + label.checkbox__content {
            opacity: 0.9;
          }
        }
      }
    }
  }
}

.project-acceptance {
  padding: 0;
  margin: 0 0 25px 0;
}

img.refresh-btn {
  filter: invert(1);
  opacity: 0.5;
  left: 15px;
  width: 48px !important;
  cursor: pointer;
}
.disable-delete {
  img {
    width: 10px;
    height: 13px;
    margin: 0 0 3px 5px;
    opacity: 0.2;
  }
}
.additional-setting {
  display: flex;
  flex-wrap: wrap;
}

.pmo-setting-history {
  .action-row {
    display: flex;
    flex-direction: column;
    .data-row {
      display: grid;
      grid-template-rows: auto;
      grid-template-columns: 0.5fr 1fr 1fr;
      padding: 5px;
    }
  }
}
.engineer-role-mapping {
  .Select-value {
    line-height: 15px;
  }
}

.error-message {
  color: #ff3434;
  padding: 15px 0 0px 20px;
}
